<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Notes</title>
    <style>

    div {
        padding: 10px; 
        }

    .topnav {
    overflow: hidden;
    background-color: #333;
    }

    .topnav a {
    float: left;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    }
    
    .topnav a:hover {
    background-color: #ddd;
    color: black;
    }

    .topnav a.active {
    background-color: #33cab1;
    color: white;
    }
    
    h1 {
      margin-top:20px ;
      text-align: center;
      }

    .card{
        margin : 10px ;
        margin-top: 30px;
        box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
        transition: 0.7s;
        border-radius: 10px;
        background-color: #f7f7f7;

    }
  
    .card:hover {
        box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    }

    .grid-container {
        display: grid;
        grid-template-columns: auto auto auto auto; 
    }
    body {
        margin: 0;
        font-family: Arial, Helvetica, sans-serif;
        background-image: linear-gradient(to right, rgb(68, 171, 255) ,rgb(102, 209, 191));
        }
    </style>
  </head>

  <body>
    <div class="topnav">
        <a href="http://127.0.0.1:8000/lab-4/">Home</a>
        <a  href="http://127.0.0.1:8000/lab-4/add-note">Form</a>
        <a class="active" href="http://127.0.0.1:8000/lab-4/note-list">Card</a>
    </div>
    <div class ="content">
        <h1>Note Cards</h1>
        <div class ="grid-container">
            {% if notes %}
            {% for note in notes %}
            
                <div class ="card">
                    <p><b>To :</b> {{note.to}}</p>
                    <p> <b>From :</b> {{note.fromm}}</p>
                    <p><b>Title :</b>  {{note.title}}</p>
                    <p><b>Message :</b> {{note.message}}</p>
                </div>
          
            {% endfor %}
            {% endif %}
        </div>
    </div>
  </body>
</html>
